/**
 * 
 */
package bloodnamegen;

import javax.swing.SwingUtilities;

import bloodnamegen.MainUI;

/**
 * @author Neoancient
 * 
 * Copyright Carl Spain
 * 
 *     This file is part of BloodnameGen.
 *
 *  BloodnameGen is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  BloodnameGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with BloodnameGen.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

public class BloodNameGen {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Clan.loadClanData();
		while (!BloodnameSelector.getInstance().isInitialized()) {
            try {
                Thread.sleep(50);
            } catch (InterruptedException ignore) {
            	
            }
		}
		
		SwingUtilities.invokeLater (new Runnable() {
			@Override
			public void run() {
				MainUI ui = new MainUI();
				ui.setVisible(true);
			}
		});
	}

}
